Package org.lwjgl.opengl

# Class ARBDirectStateAccess

java.lang.Object
org.lwjgl.opengl.ARBDirectStateAccess

public final class ARBDirectStateAccess extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_QUERY_TARGET`
Accepted by the <pname> parameter of GetQueryObjectiv:
`static final int`
`GL_TEXTURE_BINDING`
Accepted by the <pname> parameter of GetIntegeri_v:
`static final int`
`GL_TEXTURE_TARGET`
Accepted by the <pname> parameter of GetTextureParameter{if}v and GetTextureParameterI{i ui}v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindTextureUnit(int unit, int texture)`
`static void`
`glBlitNamedFramebuffer(int readFramebuffer, int drawFramebuffer, int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)`
`static int`
`glCheckNamedFramebufferStatus(int framebuffer, int target)`
`static void`
`glClearNamedBufferData(int buffer, int internalformat, int format, int type, ByteBuffer data)`
`static void`
`glClearNamedBufferSubData(int buffer, int internalformat, long offset, long size, int format, int type, ByteBuffer data)`
`static void`
`glClearNamedFramebuffer(int framebuffer, int buffer, int drawbuffer, FloatBuffer value)`
`static void`
`glClearNamedFramebuffer(int framebuffer, int buffer, int drawbuffer, IntBuffer value)`
`static void`
`glClearNamedFramebufferfi(int framebuffer, int buffer, float depth, int stencil)`
`static void`
`glClearNamedFramebufferu(int framebuffer, int buffer, int drawbuffer, IntBuffer value)`
`static void`
`glCompressedTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureSubImage1D(int texture, int level, int xoffset, int width, int format, ByteBuffer data)`
`static void`
`glCompressedTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)`
`static void`
`glCompressedTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, ByteBuffer data)`
`static void`
`glCopyNamedBufferSubData(int readBuffer, int writeBuffer, long readOffset, long writeOffset, long size)`
`static void`
`glCopyTextureSubImage1D(int texture, int level, int xoffset, int x, int y, int width)`
`static void`
`glCopyTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int x, int y, int width, int height)`
`static void`
`glCopyTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)`
`static int`
`glCreateBuffers()`
Overloads glCreateBuffers.
`static void`
`glCreateBuffers(IntBuffer buffers)`
`static int`
`glCreateFramebuffers()`
Overloads glCreateFramebuffers.
`static void`
`glCreateFramebuffers(IntBuffer framebuffers)`
`static int`
`glCreateProgramPipelines()`
Overloads glCreateProgramPipelines.
`static void`
`glCreateProgramPipelines(IntBuffer pipelines)`
`static int`
`glCreateQueries(int target)`
Overloads glCreateQueries.
`static void`
`glCreateQueries(int target, IntBuffer ids)`
`static int`
`glCreateRenderbuffers()`
Overloads glCreateRenderbuffers.
`static void`
`glCreateRenderbuffers(IntBuffer renderbuffers)`
`static int`
`glCreateSamplers()`
Overloads glCreateSamplers.
`static void`
`glCreateSamplers(IntBuffer samplers)`
`static int`
`glCreateTextures(int target)`
Overloads glCreateTextures.
`static void`
`glCreateTextures(int target, IntBuffer textures)`
`static int`
`glCreateTransformFeedbacks()`
Overloads glCreateTransformFeedbacks.
`static void`
`glCreateTransformFeedbacks(IntBuffer ids)`
`static int`
`glCreateVertexArrays()`
Overloads glCreateVertexArrays.
`static void`
`glCreateVertexArrays(IntBuffer arrays)`
`static void`
`glDisableVertexArrayAttrib(int vaobj, int index)`
`static void`
`glEnableVertexArrayAttrib(int vaobj, int index)`
`static void`
`glFlushMappedNamedBufferRange(int buffer, long offset, long length)`
`static void`
`glGenerateTextureMipmap(int texture)`
`static void`
`glGetCompressedTextureImage(int texture, int level, int pixels_bufSize, long pixels_buffer_offset)`
`static void`
`glGetCompressedTextureImage(int texture, int level, ByteBuffer pixels)`
`static void`
`glGetCompressedTextureImage(int texture, int level, IntBuffer pixels)`
`static void`
`glGetCompressedTextureImage(int texture, int level, ShortBuffer pixels)`
`static void`
`glGetNamedBufferParameter(int buffer, int pname, IntBuffer params)`
`static void`
`glGetNamedBufferParameter(int buffer, int pname, LongBuffer params)`
`static int`
`glGetNamedBufferParameteri(int buffer, int pname)`
Overloads glGetNamedBufferParameteriv.
`static long`
`glGetNamedBufferParameteri64(int buffer, int pname)`
Overloads glGetNamedBufferParameteri64v.
`static ByteBuffer`
`glGetNamedBufferPointer(int buffer, int pname)`
`static void`
`glGetNamedBufferSubData(int buffer, long offset, ByteBuffer data)`
`static void`
`glGetNamedBufferSubData(int buffer, long offset, DoubleBuffer data)`
`static void`
`glGetNamedBufferSubData(int buffer, long offset, FloatBuffer data)`
`static void`
`glGetNamedBufferSubData(int buffer, long offset, IntBuffer data)`
`static void`
`glGetNamedBufferSubData(int buffer, long offset, ShortBuffer data)`
`static int`
`glGetNamedFramebufferAttachmentParameter(int framebuffer, int attachment, int pname)`
Overloads glGetNamedFramebufferAttachmentParameteriv.
`static void`
`glGetNamedFramebufferAttachmentParameter(int framebuffer, int attachment, int pname, IntBuffer params)`
`static int`
`glGetNamedFramebufferParameter(int framebuffer, int pname)`
Overloads glGetNamedFramebufferParameteriv.
`static void`
`glGetNamedFramebufferParameter(int framebuffer, int pname, IntBuffer params)`
`static int`
`glGetNamedRenderbufferParameter(int renderbuffer, int pname)`
Overloads glGetNamedRenderbufferParameteriv.
`static void`
`glGetNamedRenderbufferParameter(int renderbuffer, int pname, IntBuffer params)`
`static void`
`glGetTextureImage(int texture, int level, int format, int type, int pixels_bufSize, long pixels_buffer_offset)`
`static void`
`glGetTextureImage(int texture, int level, int format, int type, ByteBuffer pixels)`
`static void`
`glGetTextureImage(int texture, int level, int format, int type, DoubleBuffer pixels)`
`static void`
`glGetTextureImage(int texture, int level, int format, int type, FloatBuffer pixels)`
`static void`
`glGetTextureImage(int texture, int level, int format, int type, IntBuffer pixels)`
`static void`
`glGetTextureImage(int texture, int level, int format, int type, ShortBuffer pixels)`
`static void`
`glGetTextureLevelParameter(int texture, int level, int pname, FloatBuffer params)`
`static void`
`glGetTextureLevelParameter(int texture, int level, int pname, IntBuffer params)`
`static float`
`glGetTextureLevelParameterf(int texture, int level, int pname)`
Overloads glGetTextureLevelParameterfv.
`static int`
`glGetTextureLevelParameteri(int texture, int level, int pname)`
Overloads glGetTextureLevelParameteriv.
`static void`
`glGetTextureParameter(int texture, int pname, FloatBuffer params)`
`static void`
`glGetTextureParameter(int texture, int pname, IntBuffer params)`
`static float`
`glGetTextureParameterf(int texture, int pname)`
Overloads glGetTextureParameterfv.
`static int`
`glGetTextureParameteri(int texture, int pname)`
Overloads glGetTextureParameteriv.
`static void`
`glGetTextureParameterI(int texture, int pname, IntBuffer params)`
`static int`
`glGetTextureParameterIi(int texture, int pname)`
Overloads glGetTextureParameterIiv.
`static void`
`glGetTextureParameterIu(int texture, int pname, IntBuffer params)`
`static int`
`glGetTextureParameterIui(int texture, int pname)`
Overloads glGetTextureParameterIuiv.
`static void`
`glGetTransformFeedback(int xfb, int pname, int index, IntBuffer param)`
`static void`
`glGetTransformFeedback(int xfb, int pname, int index, LongBuffer param)`
`static void`
`glGetTransformFeedback(int xfb, int pname, IntBuffer param)`
`static int`
`glGetTransformFeedbacki(int xfb, int pname)`
Overloads glGetTransformFeedbackiv.
`static int`
`glGetTransformFeedbacki(int xfb, int pname, int index)`
Overloads glGetTransformFeedbacki_v.
`static long`
`glGetTransformFeedbacki64(int xfb, int pname, int index)`
Overloads glGetTransformFeedbacki64_v.
`static int`
`glGetVertexArray(int vaobj, int pname)`
Overloads glGetVertexArrayiv.
`static void`
`glGetVertexArray(int vaobj, int pname, IntBuffer param)`
`static int`
`glGetVertexArrayIndexed(int vaobj, int index, int pname)`
Overloads glGetVertexArrayIndexediv.
`static void`
`glGetVertexArrayIndexed(int vaobj, int index, int pname, IntBuffer param)`
`static long`
`glGetVertexArrayIndexed64i(int vaobj, int index, int pname)`
Overloads glGetVertexArrayIndexed64iv.
`static void`
`glGetVertexArrayIndexed64i(int vaobj, int index, int pname, LongBuffer param)`
`static void`
`glInvalidateNamedFramebufferData(int framebuffer, IntBuffer attachments)`
`static void`
`glInvalidateNamedFramebufferSubData(int framebuffer, IntBuffer attachments, int x, int y, int width, int height)`
`static ByteBuffer`
`glMapNamedBuffer(int buffer, int access, long length, ByteBuffer old_buffer)`
Maps a buffer object's data store.
`static ByteBuffer`
`glMapNamedBuffer(int buffer, int access, ByteBuffer old_buffer)`
Maps a buffer object's data store.
`static ByteBuffer`
`glMapNamedBufferRange(int buffer, long offset, long length, int access, ByteBuffer old_buffer)`
`static void`
`glNamedBufferData(int buffer, long data_size, int usage)`
`static void`
`glNamedBufferData(int buffer, ByteBuffer data, int usage)`
`static void`
`glNamedBufferData(int buffer, DoubleBuffer data, int usage)`
`static void`
`glNamedBufferData(int buffer, FloatBuffer data, int usage)`
`static void`
`glNamedBufferData(int buffer, IntBuffer data, int usage)`
`static void`
`glNamedBufferData(int buffer, ShortBuffer data, int usage)`
`static void`
`glNamedBufferStorage(int buffer, long size, int flags)`
Overloads glNamedBufferStorage.
`static void`
`glNamedBufferStorage(int buffer, ByteBuffer data, int flags)`
`static void`
`glNamedBufferStorage(int buffer, DoubleBuffer data, int flags)`
`static void`
`glNamedBufferStorage(int buffer, FloatBuffer data, int flags)`
`static void`
`glNamedBufferStorage(int buffer, IntBuffer data, int flags)`
`static void`
`glNamedBufferStorage(int buffer, LongBuffer data, int flags)`
`static void`
`glNamedBufferStorage(int buffer, ShortBuffer data, int flags)`
`static void`
`glNamedBufferSubData(int buffer, long offset, ByteBuffer data)`
`static void`
`glNamedBufferSubData(int buffer, long offset, DoubleBuffer data)`
`static void`
`glNamedBufferSubData(int buffer, long offset, FloatBuffer data)`
`static void`
`glNamedBufferSubData(int buffer, long offset, IntBuffer data)`
`static void`
`glNamedBufferSubData(int buffer, long offset, ShortBuffer data)`
`static void`
`glNamedFramebufferDrawBuffer(int framebuffer, int mode)`
`static void`
`glNamedFramebufferDrawBuffers(int framebuffer, IntBuffer bufs)`
`static void`
`glNamedFramebufferParameteri(int framebuffer, int pname, int param)`
`static void`
`glNamedFramebufferReadBuffer(int framebuffer, int mode)`
`static void`
`glNamedFramebufferRenderbuffer(int framebuffer, int attachment, int renderbuffertarget, int renderbuffer)`
`static void`
`glNamedFramebufferTexture(int framebuffer, int attachment, int texture, int level)`
`static void`
`glNamedFramebufferTextureLayer(int framebuffer, int attachment, int texture, int level, int layer)`
`static void`
`glNamedRenderbufferStorage(int renderbuffer, int internalformat, int width, int height)`
`static void`
`glNamedRenderbufferStorageMultisample(int renderbuffer, int samples, int internalformat, int width, int height)`
`static void`
`glTextureBuffer(int texture, int internalformat, int buffer)`
`static void`
`glTextureBufferRange(int texture, int internalformat, int buffer, long offset, long size)`
`static void`
`glTextureParameter(int texture, int pname, FloatBuffer params)`
`static void`
`glTextureParameter(int texture, int pname, IntBuffer params)`
`static void`
`glTextureParameterf(int texture, int pname, float param)`
`static void`
`glTextureParameteri(int texture, int pname, int param)`
`static void`
`glTextureParameterI(int texture, int pname, IntBuffer params)`
`static void`
`glTextureParameterIu(int texture, int pname, IntBuffer params)`
`static void`
`glTextureStorage1D(int texture, int levels, int internalformat, int width)`
`static void`
`glTextureStorage2D(int texture, int levels, int internalformat, int width, int height)`
`static void`
`glTextureStorage2DMultisample(int texture, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)`
`static void`
`glTextureStorage3D(int texture, int levels, int internalformat, int width, int height, int depth)`
`static void`
`glTextureStorage3DMultisample(int texture, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)`
`static void`
`glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, IntBuffer pixels)`
`static void`
`glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, ShortBuffer pixels)`
`static void`
`glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, IntBuffer pixels)`
`static void`
`glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, ShortBuffer pixels)`
`static void`
`glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)`
`static void`
`glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)`
`static void`
`glTransformFeedbackBufferBase(int xfb, int index, int buffer)`
`static void`
`glTransformFeedbackBufferRange(int xfb, int index, int buffer, long offset, long size)`
`static boolean`
`glUnmapNamedBuffer(int buffer)`
`static void`
`glVertexArrayAttribBinding(int vaobj, int attribindex, int bindingindex)`
`static void`
`glVertexArrayAttribFormat(int vaobj, int attribindex, int size, int type, boolean normalized, int relativeoffset)`
`static void`
`glVertexArrayAttribIFormat(int vaobj, int attribindex, int size, int type, int relativeoffset)`
`static void`
`glVertexArrayAttribLFormat(int vaobj, int attribindex, int size, int type, int relativeoffset)`
`static void`
`glVertexArrayBindingDivisor(int vaobj, int bindingindex, int divisor)`
`static void`
`glVertexArrayElementBuffer(int vaobj, int buffer)`
`static void`
`glVertexArrayVertexBuffer(int vaobj, int bindingindex, int buffer, long offset, int stride)`
`static void`
`glVertexArrayVertexBuffers(int vaobj, int first, int count, IntBuffer buffers, PointerBuffer offsets, IntBuffer strides)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_TARGET

public static final int GL_TEXTURE_TARGET
Accepted by the <pname> parameter of GetTextureParameter{if}v and GetTextureParameterI{i ui}v:

See Also:
  - Constant Field Values

### GL_QUERY_TARGET

public static final int GL_QUERY_TARGET
Accepted by the <pname> parameter of GetQueryObjectiv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING

public static final int GL_TEXTURE_BINDING
Accepted by the <pname> parameter of GetIntegeri_v:

See Also:
  - Constant Field Values

## Method Details

### glCreateTransformFeedbacks

public static void glCreateTransformFeedbacks(IntBuffer ids)

### glCreateTransformFeedbacks

public static int glCreateTransformFeedbacks()
Overloads glCreateTransformFeedbacks.

### glTransformFeedbackBufferBase

public static void glTransformFeedbackBufferBase(int xfb, int index, int buffer)

### glTransformFeedbackBufferRange

public static void glTransformFeedbackBufferRange(int xfb, int index, int buffer, long offset, long size)

### glGetTransformFeedback

public static void glGetTransformFeedback(int xfb, int pname, IntBuffer param)

### glGetTransformFeedbacki

public static int glGetTransformFeedbacki(int xfb, int pname)
Overloads glGetTransformFeedbackiv.

### glGetTransformFeedback

public static void glGetTransformFeedback(int xfb, int pname, int index, IntBuffer param)

### glGetTransformFeedbacki

public static int glGetTransformFeedbacki(int xfb, int pname, int index)
Overloads glGetTransformFeedbacki_v.

### glGetTransformFeedback

public static void glGetTransformFeedback(int xfb, int pname, int index, LongBuffer param)

### glGetTransformFeedbacki64

public static long glGetTransformFeedbacki64(int xfb, int pname, int index)
Overloads glGetTransformFeedbacki64_v.

### glCreateBuffers

public static void glCreateBuffers(IntBuffer buffers)

### glCreateBuffers

public static int glCreateBuffers()
Overloads glCreateBuffers.

### glNamedBufferStorage

public static void glNamedBufferStorage(int buffer, ByteBuffer data, int flags)

### glNamedBufferStorage

public static void glNamedBufferStorage(int buffer, DoubleBuffer data, int flags)

### glNamedBufferStorage

public static void glNamedBufferStorage(int buffer, FloatBuffer data, int flags)

### glNamedBufferStorage

public static void glNamedBufferStorage(int buffer, IntBuffer data, int flags)

### glNamedBufferStorage

public static void glNamedBufferStorage(int buffer, ShortBuffer data, int flags)

### glNamedBufferStorage

public static void glNamedBufferStorage(int buffer, LongBuffer data, int flags)

### glNamedBufferStorage

public static void glNamedBufferStorage(int buffer, long size, int flags)
Overloads glNamedBufferStorage.

### glNamedBufferData

public static void glNamedBufferData(int buffer, long data_size, int usage)

### glNamedBufferData

public static void glNamedBufferData(int buffer, ByteBuffer data, int usage)

### glNamedBufferData

public static void glNamedBufferData(int buffer, DoubleBuffer data, int usage)

### glNamedBufferData

public static void glNamedBufferData(int buffer, FloatBuffer data, int usage)

### glNamedBufferData

public static void glNamedBufferData(int buffer, IntBuffer data, int usage)

### glNamedBufferData

public static void glNamedBufferData(int buffer, ShortBuffer data, int usage)

### glNamedBufferSubData

public static void glNamedBufferSubData(int buffer, long offset, ByteBuffer data)

### glNamedBufferSubData

public static void glNamedBufferSubData(int buffer, long offset, DoubleBuffer data)

### glNamedBufferSubData

public static void glNamedBufferSubData(int buffer, long offset, FloatBuffer data)

### glNamedBufferSubData

public static void glNamedBufferSubData(int buffer, long offset, IntBuffer data)

### glNamedBufferSubData

public static void glNamedBufferSubData(int buffer, long offset, ShortBuffer data)

### glCopyNamedBufferSubData

public static void glCopyNamedBufferSubData(int readBuffer, int writeBuffer, long readOffset, long writeOffset, long size)

### glClearNamedBufferData

public static void glClearNamedBufferData(int buffer, int internalformat, int format, int type, ByteBuffer data)

### glClearNamedBufferSubData

public static void glClearNamedBufferSubData(int buffer, int internalformat, long offset, long size, int format, int type, ByteBuffer data)

### glMapNamedBuffer

public static ByteBuffer glMapNamedBuffer(int buffer, int access, ByteBuffer old_buffer)
Maps a buffer object's data store.

LWJGL note: This method comes in 2 flavors:

1. `glMapNamedBuffer(int, int, ByteBuffer)` - Calls `glGetNamedBufferParameteri(int, int)` to retrieve the buffer size and the `old_buffer` parameter is reused if the returned size and pointer match the buffer capacity and address, respectively.
2. `glMapNamedBuffer(int, int, int, ByteBuffer)` - The buffer size is explicitly specified and the `old_buffer` parameter is reused if `size` and the returned pointer match the buffer capacity and address, respectively. This is the most efficient method.

Parameters:
  `buffer` - the buffer object being mapped
  `access` - the access policy, indicating whether it will be possible to read from, write to, or both read from and write to the buffer object's mapped data store

### glMapNamedBuffer

public static ByteBuffer glMapNamedBuffer(int buffer, int access, long length, ByteBuffer old_buffer)
Maps a buffer object's data store.

LWJGL note: This method comes in 2 flavors:

1. `glMapNamedBuffer(int, int, ByteBuffer)` - Calls `glGetNamedBufferParameteri(int, int)` to retrieve the buffer size and the `old_buffer` parameter is reused if the returned size and pointer match the buffer capacity and address, respectively.
2. `glMapNamedBuffer(int, int, int, ByteBuffer)` - The buffer size is explicitly specified and the `old_buffer` parameter is reused if `size` and the returned pointer match the buffer capacity and address, respectively. This is the most efficient method.

Parameters:
  `buffer` - the buffer object being mapped
  `access` - the access policy, indicating whether it will be possible to read from, write to, or both read from and write to the buffer object's mapped data store

### glMapNamedBufferRange

public static ByteBuffer glMapNamedBufferRange(int buffer, long offset, long length, int access, ByteBuffer old_buffer)

### glUnmapNamedBuffer

public static boolean glUnmapNamedBuffer(int buffer)

### glFlushMappedNamedBufferRange

public static void glFlushMappedNamedBufferRange(int buffer, long offset, long length)

### glGetNamedBufferParameter

public static void glGetNamedBufferParameter(int buffer, int pname, IntBuffer params)

### glGetNamedBufferParameteri

public static int glGetNamedBufferParameteri(int buffer, int pname)
Overloads glGetNamedBufferParameteriv.

### glGetNamedBufferParameter

public static void glGetNamedBufferParameter(int buffer, int pname, LongBuffer params)

### glGetNamedBufferParameteri64

public static long glGetNamedBufferParameteri64(int buffer, int pname)
Overloads glGetNamedBufferParameteri64v.

### glGetNamedBufferPointer

public static ByteBuffer glGetNamedBufferPointer(int buffer, int pname)

### glGetNamedBufferSubData

public static void glGetNamedBufferSubData(int buffer, long offset, ByteBuffer data)

### glGetNamedBufferSubData

public static void glGetNamedBufferSubData(int buffer, long offset, DoubleBuffer data)

### glGetNamedBufferSubData

public static void glGetNamedBufferSubData(int buffer, long offset, FloatBuffer data)

### glGetNamedBufferSubData

public static void glGetNamedBufferSubData(int buffer, long offset, IntBuffer data)

### glGetNamedBufferSubData

public static void glGetNamedBufferSubData(int buffer, long offset, ShortBuffer data)

### glCreateFramebuffers

public static void glCreateFramebuffers(IntBuffer framebuffers)

### glCreateFramebuffers

public static int glCreateFramebuffers()
Overloads glCreateFramebuffers.

### glNamedFramebufferRenderbuffer

public static void glNamedFramebufferRenderbuffer(int framebuffer, int attachment, int renderbuffertarget, int renderbuffer)

### glNamedFramebufferParameteri

public static void glNamedFramebufferParameteri(int framebuffer, int pname, int param)

### glNamedFramebufferTexture

public static void glNamedFramebufferTexture(int framebuffer, int attachment, int texture, int level)

### glNamedFramebufferTextureLayer

public static void glNamedFramebufferTextureLayer(int framebuffer, int attachment, int texture, int level, int layer)

### glNamedFramebufferDrawBuffer

public static void glNamedFramebufferDrawBuffer(int framebuffer, int mode)

### glNamedFramebufferDrawBuffers

public static void glNamedFramebufferDrawBuffers(int framebuffer, IntBuffer bufs)

### glNamedFramebufferReadBuffer

public static void glNamedFramebufferReadBuffer(int framebuffer, int mode)

### glInvalidateNamedFramebufferData

public static void glInvalidateNamedFramebufferData(int framebuffer, IntBuffer attachments)

### glInvalidateNamedFramebufferSubData

public static void glInvalidateNamedFramebufferSubData(int framebuffer, IntBuffer attachments, int x, int y, int width, int height)

### glClearNamedFramebuffer

public static void glClearNamedFramebuffer(int framebuffer, int buffer, int drawbuffer, IntBuffer value)

### glClearNamedFramebufferu

public static void glClearNamedFramebufferu(int framebuffer, int buffer, int drawbuffer, IntBuffer value)

### glClearNamedFramebuffer

public static void glClearNamedFramebuffer(int framebuffer, int buffer, int drawbuffer, FloatBuffer value)

### glClearNamedFramebufferfi

public static void glClearNamedFramebufferfi(int framebuffer, int buffer, float depth, int stencil)

### glBlitNamedFramebuffer

public static void glBlitNamedFramebuffer(int readFramebuffer, int drawFramebuffer, int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)

### glCheckNamedFramebufferStatus

public static int glCheckNamedFramebufferStatus(int framebuffer, int target)

### glGetNamedFramebufferParameter

public static void glGetNamedFramebufferParameter(int framebuffer, int pname, IntBuffer params)

### glGetNamedFramebufferParameter

public static int glGetNamedFramebufferParameter(int framebuffer, int pname)
Overloads glGetNamedFramebufferParameteriv.

### glGetNamedFramebufferAttachmentParameter

public static void glGetNamedFramebufferAttachmentParameter(int framebuffer, int attachment, int pname, IntBuffer params)

### glGetNamedFramebufferAttachmentParameter

public static int glGetNamedFramebufferAttachmentParameter(int framebuffer, int attachment, int pname)
Overloads glGetNamedFramebufferAttachmentParameteriv.

### glCreateRenderbuffers

public static void glCreateRenderbuffers(IntBuffer renderbuffers)

### glCreateRenderbuffers

public static int glCreateRenderbuffers()
Overloads glCreateRenderbuffers.

### glNamedRenderbufferStorage

public static void glNamedRenderbufferStorage(int renderbuffer, int internalformat, int width, int height)

### glNamedRenderbufferStorageMultisample

public static void glNamedRenderbufferStorageMultisample(int renderbuffer, int samples, int internalformat, int width, int height)

### glGetNamedRenderbufferParameter

public static void glGetNamedRenderbufferParameter(int renderbuffer, int pname, IntBuffer params)

### glGetNamedRenderbufferParameter

public static int glGetNamedRenderbufferParameter(int renderbuffer, int pname)
Overloads glGetNamedRenderbufferParameteriv.

### glCreateTextures

public static void glCreateTextures(int target, IntBuffer textures)

### glCreateTextures

public static int glCreateTextures(int target)
Overloads glCreateTextures.

### glTextureBuffer

public static void glTextureBuffer(int texture, int internalformat, int buffer)

### glTextureBufferRange

public static void glTextureBufferRange(int texture, int internalformat, int buffer, long offset, long size)

### glTextureStorage1D

public static void glTextureStorage1D(int texture, int levels, int internalformat, int width)

### glTextureStorage2D

public static void glTextureStorage2D(int texture, int levels, int internalformat, int width, int height)

### glTextureStorage3D

public static void glTextureStorage3D(int texture, int levels, int internalformat, int width, int height, int depth)

### glTextureStorage2DMultisample

public static void glTextureStorage2DMultisample(int texture, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)

### glTextureStorage3DMultisample

public static void glTextureStorage3DMultisample(int texture, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)

### glTextureSubImage1D

public static void glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, ByteBuffer pixels)

### glTextureSubImage1D

public static void glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, DoubleBuffer pixels)

### glTextureSubImage1D

public static void glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, FloatBuffer pixels)

### glTextureSubImage1D

public static void glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, IntBuffer pixels)

### glTextureSubImage1D

public static void glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, ShortBuffer pixels)

### glTextureSubImage1D

public static void glTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)

### glTextureSubImage2D

public static void glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, ByteBuffer pixels)

### glTextureSubImage2D

public static void glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, DoubleBuffer pixels)

### glTextureSubImage2D

public static void glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, FloatBuffer pixels)

### glTextureSubImage2D

public static void glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, IntBuffer pixels)

### glTextureSubImage2D

public static void glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, ShortBuffer pixels)

### glTextureSubImage2D

public static void glTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)

### glTextureSubImage3D

public static void glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)

### glTextureSubImage3D

public static void glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer pixels)

### glTextureSubImage3D

public static void glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)

### glTextureSubImage3D

public static void glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)

### glTextureSubImage3D

public static void glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)

### glTextureSubImage3D

public static void glTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)

### glCompressedTextureSubImage1D

public static void glCompressedTextureSubImage1D(int texture, int level, int xoffset, int width, int format, ByteBuffer data)

### glCompressedTextureSubImage1D

public static void glCompressedTextureSubImage1D(int texture, int level, int xoffset, int width, int format, int data_imageSize, long data_buffer_offset)

### glCompressedTextureSubImage2D

public static void glCompressedTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)

### glCompressedTextureSubImage2D

public static void glCompressedTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int width, int height, int format, int data_imageSize, long data_buffer_offset)

### glCompressedTextureSubImage3D

public static void glCompressedTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, ByteBuffer data)

### glCompressedTextureSubImage3D

public static void glCompressedTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, long data_buffer_offset)

### glCopyTextureSubImage1D

public static void glCopyTextureSubImage1D(int texture, int level, int xoffset, int x, int y, int width)

### glCopyTextureSubImage2D

public static void glCopyTextureSubImage2D(int texture, int level, int xoffset, int yoffset, int x, int y, int width, int height)

### glCopyTextureSubImage3D

public static void glCopyTextureSubImage3D(int texture, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)

### glTextureParameterf

public static void glTextureParameterf(int texture, int pname, float param)

### glTextureParameter

public static void glTextureParameter(int texture, int pname, FloatBuffer params)

### glTextureParameteri

public static void glTextureParameteri(int texture, int pname, int param)

### glTextureParameterI

public static void glTextureParameterI(int texture, int pname, IntBuffer params)

### glTextureParameterIu

public static void glTextureParameterIu(int texture, int pname, IntBuffer params)

### glTextureParameter

public static void glTextureParameter(int texture, int pname, IntBuffer params)

### glGenerateTextureMipmap

public static void glGenerateTextureMipmap(int texture)

### glBindTextureUnit

public static void glBindTextureUnit(int unit, int texture)

### glGetTextureImage

public static void glGetTextureImage(int texture, int level, int format, int type, ByteBuffer pixels)

### glGetTextureImage

public static void glGetTextureImage(int texture, int level, int format, int type, DoubleBuffer pixels)

### glGetTextureImage

public static void glGetTextureImage(int texture, int level, int format, int type, FloatBuffer pixels)

### glGetTextureImage

public static void glGetTextureImage(int texture, int level, int format, int type, IntBuffer pixels)

### glGetTextureImage

public static void glGetTextureImage(int texture, int level, int format, int type, ShortBuffer pixels)

### glGetTextureImage

public static void glGetTextureImage(int texture, int level, int format, int type, int pixels_bufSize, long pixels_buffer_offset)

### glGetCompressedTextureImage

public static void glGetCompressedTextureImage(int texture, int level, ByteBuffer pixels)

### glGetCompressedTextureImage

public static void glGetCompressedTextureImage(int texture, int level, IntBuffer pixels)

### glGetCompressedTextureImage

public static void glGetCompressedTextureImage(int texture, int level, ShortBuffer pixels)

### glGetCompressedTextureImage

public static void glGetCompressedTextureImage(int texture, int level, int pixels_bufSize, long pixels_buffer_offset)

### glGetTextureLevelParameter

public static void glGetTextureLevelParameter(int texture, int level, int pname, FloatBuffer params)

### glGetTextureLevelParameterf

public static float glGetTextureLevelParameterf(int texture, int level, int pname)
Overloads glGetTextureLevelParameterfv.

### glGetTextureLevelParameter

public static void glGetTextureLevelParameter(int texture, int level, int pname, IntBuffer params)

### glGetTextureLevelParameteri

public static int glGetTextureLevelParameteri(int texture, int level, int pname)
Overloads glGetTextureLevelParameteriv.

### glGetTextureParameter

public static void glGetTextureParameter(int texture, int pname, FloatBuffer params)

### glGetTextureParameterf

public static float glGetTextureParameterf(int texture, int pname)
Overloads glGetTextureParameterfv.

### glGetTextureParameterI

public static void glGetTextureParameterI(int texture, int pname, IntBuffer params)

### glGetTextureParameterIi

public static int glGetTextureParameterIi(int texture, int pname)
Overloads glGetTextureParameterIiv.

### glGetTextureParameterIu

public static void glGetTextureParameterIu(int texture, int pname, IntBuffer params)

### glGetTextureParameterIui

public static int glGetTextureParameterIui(int texture, int pname)
Overloads glGetTextureParameterIuiv.

### glGetTextureParameter

public static void glGetTextureParameter(int texture, int pname, IntBuffer params)

### glGetTextureParameteri

public static int glGetTextureParameteri(int texture, int pname)
Overloads glGetTextureParameteriv.

### glCreateVertexArrays

public static void glCreateVertexArrays(IntBuffer arrays)

### glCreateVertexArrays

public static int glCreateVertexArrays()
Overloads glCreateVertexArrays.

### glDisableVertexArrayAttrib

public static void glDisableVertexArrayAttrib(int vaobj, int index)

### glEnableVertexArrayAttrib

public static void glEnableVertexArrayAttrib(int vaobj, int index)

### glVertexArrayElementBuffer

public static void glVertexArrayElementBuffer(int vaobj, int buffer)

### glVertexArrayVertexBuffer

public static void glVertexArrayVertexBuffer(int vaobj, int bindingindex, int buffer, long offset, int stride)

### glVertexArrayVertexBuffers

public static void glVertexArrayVertexBuffers(int vaobj, int first, int count, IntBuffer buffers, PointerBuffer offsets, IntBuffer strides)

### glVertexArrayAttribFormat

public static void glVertexArrayAttribFormat(int vaobj, int attribindex, int size, int type, boolean normalized, int relativeoffset)

### glVertexArrayAttribIFormat

public static void glVertexArrayAttribIFormat(int vaobj, int attribindex, int size, int type, int relativeoffset)

### glVertexArrayAttribLFormat

public static void glVertexArrayAttribLFormat(int vaobj, int attribindex, int size, int type, int relativeoffset)

### glVertexArrayAttribBinding

public static void glVertexArrayAttribBinding(int vaobj, int attribindex, int bindingindex)

### glVertexArrayBindingDivisor

public static void glVertexArrayBindingDivisor(int vaobj, int bindingindex, int divisor)

### glGetVertexArray

public static void glGetVertexArray(int vaobj, int pname, IntBuffer param)

### glGetVertexArray

public static int glGetVertexArray(int vaobj, int pname)
Overloads glGetVertexArrayiv.

### glGetVertexArrayIndexed

public static void glGetVertexArrayIndexed(int vaobj, int index, int pname, IntBuffer param)

### glGetVertexArrayIndexed

public static int glGetVertexArrayIndexed(int vaobj, int index, int pname)
Overloads glGetVertexArrayIndexediv.

### glGetVertexArrayIndexed64i

public static void glGetVertexArrayIndexed64i(int vaobj, int index, int pname, LongBuffer param)

### glGetVertexArrayIndexed64i

public static long glGetVertexArrayIndexed64i(int vaobj, int index, int pname)
Overloads glGetVertexArrayIndexed64iv.

### glCreateSamplers

public static void glCreateSamplers(IntBuffer samplers)

### glCreateSamplers

public static int glCreateSamplers()
Overloads glCreateSamplers.

### glCreateProgramPipelines

public static void glCreateProgramPipelines(IntBuffer pipelines)

### glCreateProgramPipelines

public static int glCreateProgramPipelines()
Overloads glCreateProgramPipelines.

### glCreateQueries

public static void glCreateQueries(int target, IntBuffer ids)

### glCreateQueries

public static int glCreateQueries(int target)
Overloads glCreateQueries.